Skip to main content
GET
/
trust-centers
/
{slugId}
/
subscribers
List Trust Center subscribers
curl --request GET \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/subscribers \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    },
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
        "email": "subscriber@example.com",
        "isEmailVerified": true,
        "creationDate": "2020-01-01T00:00:00.000Z",
        "customerTrustAccountId": null,
        "groups": [
          {
            "id": "b3e8f2c0d1a4f5e6b7d8c9e0",
            "name": "Security Managers"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

customerTrustAccountId
string

Response

200 - application/json

Ok

results
object
required